[arch-dev-public] Upgrading gnupg to 2.0 branch, removing gnupg2

Thomas Bächler thomas at archlinux.org
Fri Mar 16 06:06:33 EDT 2012

Am 16.03.2012 10:54, schrieb Ionut Biru:
> On 03/16/2012 11:18 AM, Gaetan Bisson wrote:
>> [2012-03-16 10:07:03 +0200] Ionut Biru:
>>>  gpg2 --card-status
>>> gpg: selecting openpgp failed: Unsupported certificate
>>> gpg: OpenPGP card not available: Unsupported certificate
>>> I think is because I used gpg1 when I generated the key
>> If I google those error messages, I find different answers. Have you
>> looked at these? It would be a real shame to stick with gnupg-1 only for
>> this reason. And I thought those cards were supposed to be supported by
>> GPG devs...
> found it.
> http://www.opensc-project.org/opensc/wiki/OpenPGP
> Linux (and Gnome)
> I had to unset GPG_AGENT. WTF

That sounds like a problem we should try to solve after we make the
transition, as it sounds like it might be related to having two
different gnupg implementations that potentially conflict.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 900 bytes
Desc: OpenPGP digital signature
URL: <http://mailman.archlinux.org/pipermail/arch-dev-public/attachments/20120316/9a06f387/attachment.asc>

More information about the arch-dev-public mailing list